using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SushiBarDataModels.Models;
using SushiBarContracts.ViewModels;

namespace SushiBarContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название")]
        public string ShopName { get; set; } = string.Empty;
        [DisplayName("Адрес")]
        public string Adress { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime OpeningDate { get; set; }
        public Dictionary<int, (ISushiModel, int)> ShopSushis { get; set; } = new();
        [DisplayName("Вместимость")]
        public int SushiMaxCount { get; set; }
    }
}
